Subject: Installer ISO ‘missing’ mkfs.ext4

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Sun, 02 Oct 2022 01:04:40 +0200

Hi Guix,

I was going to open this tomorrow, but odds are good that I'd 
forget overnight, so very sleepy bug report time:

Commit 45eac6cdf5c8d9d7b0c564b105c790d2d2007799 removes mkfs.ext* 
(and possibly others, didn't check) from $PATH unless the system 
happens to have a <file-system> of that type.

The installer ISO still assumes the old behaviour of having 
(again, at least) e2fsprogs in the system packages.  One can no 
longer ‘sudo mkfs.ext4’, although e2fsprogs is still present in 
the store and can be manually invoked by a savvy user.

Should be an easy fix, feel free to beat me to it.  I intend to 
sleep in.

Kind regards,

T G-R